Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Interface YAACPreferences

    public interface YAACPreferences

This interface declares String constants for the names of Preference values used across multiple classes within YAAC. This should only contain constants used by core YAAC; plugins using their own plugin-private preference declarations should declare their constants within the plugin (thereby removing the need to have an appropriately patched core YAAC distribution for their plugin to work).

Field Summary
`static java.lang.String` | `BEEP_ON_MESSAGE` Preference name for boolean specifying whether to beep upon receiving an APRS Message explicitly addressed to one of this station's local addresses or callsigns.
`static java.lang.String` | `DEFAULT_DIGIPEAT_PATH` Preference name for preferred message digipeat path.
`static java.lang.String` | `DEFAULT_PREF_BEACON_DESTINATION` The default TOCALL for YAAC, using its officially registered TOCALL value.
`static java.lang.String` | `DONT_PAN_ON_EMERGENCY` Preference name for boolean specifying whether to suppress auto-pan upon indicating an emergency-reporting station on the map.
`static java.lang.String` | `FLASH_ON_SPECIAL` Preference name for boolean specifying whether to flash upon receiving an APRS Message from a station reporting Special Mic-E status.
`static java.lang.String` | `MAX_AGE_DR_OBJECTS` Preference name for long integer specifying the number of milliseconds to dead-reckon a moving Object or Item since its last position update.
`static java.lang.String` | `MAX_AGE_DR_SPECIAL_OBJECTS` Preference name for long integer specifying the number of milliseconds to dead-reckon a moving Object or Item tagged as "special" since its last position update.
`static java.lang.String` | `MAX_AGE_DR_STATIONS` Preference name for long integer specifying the number of milliseconds to dead-reckon a moving station since its last position update.
`static java.lang.String` | `PREF_BEACON_DESTINATION` Specify the TOCALL to use for locally originated APRS messages (other than MicE).
`static java.lang.String` | `USE_SMART_BEACONING` Preference name for boolean specifying whether to use Smart Beaconing.

Field Detail

### PREF_BEACON_DESTINATION

    static final java.lang.String PREF_BEACON_DESTINATION

  Specify the TOCALL to use for locally originated APRS messages (other than MicE).

  See Also:
    Constant Field Values

### DEFAULT_PREF_BEACON_DESTINATION

    static final java.lang.String DEFAULT_PREF_BEACON_DESTINATION

  The default TOCALL for YAAC, using its officially registered TOCALL value.

  See Also:
    Constant Field Values

### USE_SMART_BEACONING

    static final java.lang.String USE_SMART_BEACONING

  Preference name for boolean specifying whether to use Smart Beaconing.

  See Also:
    Constant Field Values

### MAX_AGE_DR_STATIONS

    static final java.lang.String MAX_AGE_DR_STATIONS

  Preference name for long integer specifying the number of milliseconds to dead-reckon a moving station since its last position update.

  See Also:
    Constant Field Values

### MAX_AGE_DR_OBJECTS

    static final java.lang.String MAX_AGE_DR_OBJECTS

  Preference name for long integer specifying the number of milliseconds to dead-reckon a moving Object or Item since its last position update.

  See Also:
    Constant Field Values

### MAX_AGE_DR_SPECIAL_OBJECTS

    static final java.lang.String MAX_AGE_DR_SPECIAL_OBJECTS

  Preference name for long integer specifying the number of milliseconds to dead-reckon a moving Object or Item tagged as "special" since its last position update. Special tagging is not yet implemented.

  See Also:
    Constant Field Values

### BEEP_ON_MESSAGE

    static final java.lang.String BEEP_ON_MESSAGE

  Preference name for boolean specifying whether to beep upon receiving an APRS Message explicitly addressed to one of this station's local addresses or callsigns.

  See Also:
    Constant Field Values

### FLASH_ON_SPECIAL

    static final java.lang.String FLASH_ON_SPECIAL

  Preference name for boolean specifying whether to flash upon receiving an APRS Message from a station reporting Special Mic-E status.

  See Also:
    Constant Field Values

### DONT_PAN_ON_EMERGENCY

    static final java.lang.String DONT_PAN_ON_EMERGENCY

  Preference name for boolean specifying whether to suppress auto-pan upon indicating an emergency-reporting station on the map.

  See Also:
    Constant Field Values

### DEFAULT_DIGIPEAT_PATH

    static final java.lang.String DEFAULT_DIGIPEAT_PATH

  Preference name for preferred message digipeat path.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD